Discover Government News


- -------------------------------------------------------------------------
Debian LTS Advisory DLA-3772-1                debian-lts@lists.debian.org
https://www.debian.org/lts/security/                          Adrian Bunk
March 24, 2024                                https://wiki.debian.org/LTS
- -------------------------------------------------------------------------

Package        : python3.7
Version        : 3.7.3-2+deb10u7
CVE ID         : CVE-2023-6597 CVE-2024-0450

Two vulnerabilities have been fixed in the Python 3 interpreter.

CVE-2023-6597

    tempfile.TemporaryDirectory failure to remove dir

CVE-2024-0450

    quoted-overlap zipbomb DoS


For Debian 10 buster, these problems have been fixed in version
3.7.3-2+deb10u7.

We recommend that you upgrade your python3.7 packages.

For the detailed security status of python3.7 please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/python3.7

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS

Debian LTS: DLA-3772-1: python3.7 security update

March 24, 2024
Two vulnerabilities have been fixed in the Python 3 interpreter

Summary

CVE-2023-6597

tempfile.TemporaryDirectory failure to remove dir

CVE-2024-0450

quoted-overlap zipbomb DoS


For Debian 10 buster, these problems have been fixed in version
3.7.3-2+deb10u7.

We recommend that you upgrade your python3.7 packages.

For the detailed security status of python3.7 please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/python3.7

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS


Severity
Package : python3.7
Version : 3.7.3-2+deb10u7
CVE ID : CVE-2023-6597 CVE-2024-0450

Related News